org.apache.storm.loadgen

## Class InputStream.Builder

- java.lang.Object
- - org.apache.storm.loadgen.InputStream.Builder

- Enclosing class:
    InputStream

      public static class InputStream.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `build()`
    `NormalDistStats` | `getExecTime()`
    `String` | `getFromComponent()`
    `GroupingType` | `getGroupingType()`
    `String` | `getId()`
    `NormalDistStats` | `getProcessTime()`
    `String` | `getToComponent()`
    `InputStream.Builder` | `withExecTime(NormalDistStats execTime)`
    `InputStream.Builder` | `withFromComponent(String fromComponent)`
    `InputStream.Builder` | `withGroupingType(Grouping grouping)` Add the grouping type based off of the thrift Grouping class.
    `InputStream.Builder` | `withGroupingType(GroupingType groupingType)`
    `InputStream.Builder` | `withId(String id)`
    `InputStream.Builder` | `withProcessTime(NormalDistStats processTime)`
    `InputStream.Builder` | `withToComponent(String toComponent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### getFromComponent

          public String getFromComponent()

    - #### withFromComponent

          public InputStream.Builder withFromComponent(String fromComponent)

    - #### getToComponent

          public String getToComponent()

    - #### withToComponent

          public InputStream.Builder withToComponent(String toComponent)

    - #### getId

          public String getId()

    - #### withId

          public InputStream.Builder withId(String id)

    - #### getExecTime

          public NormalDistStats getExecTime()

    - #### withExecTime

          public InputStream.Builder withExecTime(NormalDistStats execTime)

    - #### getProcessTime

          public NormalDistStats getProcessTime()

    - #### withProcessTime

          public InputStream.Builder withProcessTime(NormalDistStats processTime)

    - #### getGroupingType

          public GroupingType getGroupingType()

    - #### withGroupingType

          public InputStream.Builder withGroupingType(GroupingType groupingType)

    - #### withGroupingType

          public InputStream.Builder withGroupingType(Grouping grouping)

      Add the grouping type based off of the thrift Grouping class.

      Parameters:
        `grouping` - the Grouping to extract the grouping type from
      Returns:
        this

    - #### build

          public InputStream build()

Copyright © 2021 The Apache Software Foundation. All rights reserved.